@import "../variables.css";

#header-container {
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  padding: 20px;
  z-index: 9999;
  background-color: #fff;
  box-shadow: 0px 0px 8px 1px rgba(0, 0, 0, 0.1);
}

.header-elements {
  justify-content: space-between;
}

.header-links-elements li {
  margin-right: 10px;
}

.header-links-elements li a {
  text-decoration: none;
  color: var(--color-links);
  font-size: 1.2rem;
  transition: all 0.3s ease-in-out;
}

.header-links-elements li a:hover {
  background-color: var(--color-links);
  color: #fff;
  padding: 8px;
  border-radius: 10px;
}

.header-links-elements li.active a:hover {
  font-weight: normal;
  border-bottom: none;
}

.header-links-elements li.active a {
  background-color: var(--color-links);
  color: #fff;
  padding: 8px;
  border-radius: 10px;
}

.title-section h1 {
  font-size: 2.3rem;
  line-height: normal;
  margin-bottom: 5rem;
  margin-top: 5rem;
  font-family: "Parisienne", cursive;
}

.title-section h2 {
  position: relative;
  font-family: "Parisienne", cursive;
  font-size: 2.2rem;
}

.title-section h2::after {
  content: "";
  width: 200px;
  height: 2px;
  background: var(--color-links);
  position: absolute;
  left: 140px;
  top: 50%;
  transform: translateY(-50%);
}

.title-section h2::before {
  content: "";
  width: 200px;
  height: 2px;
  background: var(--color-links);
  position: absolute;
  right: 140px;
  top: 50%;
  transform: translateY(-50%);
}

.logo-elements {
  position: relative;
}

.logo-elements img {
  width: 50px;
  position: absolute;
  left: 100%;
  top: -5px;
  filter: brightness(0) saturate(100%) invert(94%) sepia(5%) saturate(1943%) hue-rotate(63deg) brightness(84%) contrast(74%);
}

.subtitle-paragraph {
  font-size: 1.5rem;
  margin-top: 30px;
  display: block;
  color: #707070;
}
#toggle {
  display: none;
}

@media screen and (max-width: 900px) {
  .title-section h2::before,
  .title-section h2::after {
    width: 130px;
  }
}

@media screen and (max-width: 760px) {
  #header-container {
    height: 23px;
  }
  .header-links-elements {
    transform: scale(0);
    position: fixed;
    transition: all .3s ease-in-out;
  }
  .hamburger {
    position: absolute;
    top: 17px;
    right: 20px;
    z-index: 5;
  }

  .hamburger div {
    position: relative;
    width: 2em;
    height: 3px;
    border-radius: 3px;
    background-color: var(--color-links);
    margin-top: 5px;
    transition: all 0.3s ease-in-out;
  }

  #toggle:checked + .hamburger .top-bun {
    transform: rotate(-45deg);
    margin-top: 13px;
  }
  #toggle:checked + .hamburger .bottom-bun {
    opacity: 0;
    transform: rotate(45deg);
  }
  #toggle:checked + .hamburger .meat {
    transform: rotate(45deg);
    margin-top: -3px;
  }

  #toggle:checked + .hamburger + .header-links-elements {
    top: 0;
    transform: scale(1);
    top: 63px;
    bottom: 0;
    background-color: rgba(152,192,155,.7);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    left: 0;
    right: 0;
  }
  .header-links-elements ul {
    flex-direction: column;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    line-height: 3rem;
  }
  .header-links-elements li a {
    color: #333;
  }
  .title-section h2::after {
    width: 50px;
    left: 0;
  }
  .title-section h2 {
    font-size: 1.9rem;
  }
  .title-section h2::before {
    width: 50px;
    right: 0;
  }
}
